Package org.apache.lucene.search

## Class FuzzyTermsEnum.FuzzyTermsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.lucene.search.FuzzyTermsEnum.FuzzyTermsException

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    FuzzyTermsEnum

      public static class FuzzyTermsEnum.FuzzyTermsException
      extends RuntimeException

  Thrown to indicate that there was an issue creating a fuzzy query for a given term. Typically occurs with terms longer than 220 UTF-8 characters, but also possible with shorter terms consisting of UTF-32 code points.
  See Also:
    Serialized Form

- - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`